Bug 43538 - [patch] Show the hostname and IP address in the manager webapp
[patch] Show the hostname and IP address in the manager webapp
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Webapps:Manager
5.5.25
All All
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-10-02 14:42 UTC by Dennis Lundberg
Modified: 2011-06-15 21:58 UTC (History)
0 users



Attachments
Patch tha implements this functionality (7.19 KB, patch)
2007-10-02 14:50 UTC, Dennis Lundberg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Lundberg 2007-10-02 14:42:39 UTC
We have an environment with a couple of load-balanced Tomcats fronted by httpd.
If someone accesses the manager application through the load-balancer, they will
not know which of the load-balanced Tomcats they end up at. In these situations,
and others as well, it would be nice if the manager could tell the hostname and
IP address of the machine it is running on.
Comment 1 Dennis Lundberg 2007-10-02 14:50:14 UTC
Created attachment 20908 [details]
Patch tha implements this functionality

This patch implements the functionality described in this issue. It was created
against the current trunk of /repos/asf/tomcat/container/tc5.5.x

The patch does not add the new properties in the non-English resource bundles.
I was not sure if I should add them or not.
Comment 2 Dennis Lundberg 2007-10-02 14:51:24 UTC
The version for this issue should be 5.5.25, but that version is not yet
available here in Bugzilla.
Comment 3 Mark Thomas 2007-10-04 18:34:34 UTC
I would have thought you would want some control over which manager instance you
hit in most cases. We usually make the manager app directly accessible to admins
via an alternative port.
Comment 4 Dennis Lundberg 2007-10-05 09:04:52 UTC
Yes, for actually managing the web applications (starting and stopping etc.),
you want to be sure which server you are using. For such tasks we use dedicated
ports.

However, for the server status information it is interesting to see which
machine is answering the current request.
Comment 5 Dennis Lundberg 2008-01-04 03:49:44 UTC
Set the correct "Version".
Comment 6 Mark Thomas 2011-06-15 21:58:01 UTC
It took rather a long time but this has been applied to 7.0.x and will be included in 7.0.17 onwards.

I don't see this being back-ported to 6.0.x or 5.5.x.